--- libIDL-0.6.8\Makefile.msc.bak	1999-10-17 20:04:08.000000000 +0200
+++ libIDL-0.6.8\Makefile.msc	2005-11-10 16:50:34.609375000 +0100
@@ -5,11 +5,14 @@
 
 # Change this to wherever you want to install the DLLs. This directory
 # should be in your PATH.
-BIN = C:\Bin
+PREFIX = c:\apps\vc8
+BIN = $(PREFIX)\bin
+LIBDIR = $(PREFIX)\lib
+INCDIR = $(PREFIX)\include
 
 # GLib location
-GLIB_INCLUDES = -I/Devel/Port/glib
-GLIB_LIBPATH = c:\Devel\Port\glib
+GLIB_INCLUDES = -I$(INCDIR)
+GLIB_LIBPATH = $(LIBDIR)
 GLIB_LIB = glib-1.2.lib
 
 # libIDL dll version
@@ -33,7 +36,10 @@
 all:   libIDL-$(LIBIDL_LIBVER).dll tstidl.exe
 
 install: all
-        $(INSTALL) libIDL-$(LIBIDL_LIBVER).dll $(BIN)
+	$(INSTALL) libIDL-$(LIBIDL_LIBVER).dll $(BIN)
+        $(INSTALL) libIDL-$(LIBIDL_LIBVER).lib $(LIBDIR)
+	-mkdir $(INCDIR)\libIDL
+        $(INSTALL) IDL.h $(INCDIR)\libIDL\
 
 libIDL_OBJECTS =				\
 	parser.obj				\
@@ -45,22 +51,23 @@
         $(CC) $(CFLAGS) -MD -LD -FelibIDL-$(LIBIDL_LIBVER).dll $(libIDL_OBJECTS) $(GLIB_LIB) user32.lib advapi32.lib $(LDFLAGS) /def:libIDL.def
 
 .c.obj:
-        $(CC) $(CFLAGS) -GD -c -DPACKAGE=\"libIDL\" -DLIBIDL_LIBRARY_VERSION=\"$(LIBIDL_REALVER)\" -DHAVE_CPP_PIPE_STDIN=1 -DCPP_PROGRAM="\"notsupported\"" -DYYTEXT_POINTER=1 -DSTDC_HEADERS=1 -DHAVE_STDDEF_H=1 -DHAVE_WCHAR_H=1 -DYYDEBUG=1 -DIDL_LIBRARY -DG_LOG_DOMAIN=\"libIDL\" $<
+	$(CC) $(CFLAGS) -GD -c -DPACKAGE=\"libIDL\" -DLIBIDL_LIBRARY_VERSION=\"$(LIBIDL_REALVER)\" -DCPP_PROGRAM="\"notsupported\"" -DCPP_NOSTDINC="\"notsupported\"" -DYYTEXT_POINTER=1 -DSTDC_HEADERS=1 -DHAVE_STDDEF_H=1 -DHAVE_WCHAR_H=1 -DYYDEBUG=1 -DIDL_LIBRARY -DG_LOG_DOMAIN=\"libIDL\" -DNO_SYMLINK  $<
+#	$(CC) $(CFLAGS) -GD -c -DPACKAGE=\"libIDL\" -DLIBIDL_LIBRARY_VERSION=\"$(LIBIDL_REALVER)\" -DHAVE_CPP_PIPE_STDIN=1 -DCPP_PROGRAM="\"notsupported\"" -DYYTEXT_POINTER=1 -DSTDC_HEADERS=1 -DHAVE_STDDEF_H=1 -DHAVE_WCHAR_H=1 -DYYDEBUG=1 -DIDL_LIBRARY -DG_LOG_DOMAIN=\"libIDL\" $<
 
 tstidl.exe: libIDL-$(LIBIDL_LIBVER).dll tstidl.obj
         $(CC) $(CFLAGS) -MD -Fetstidl.exe tstidl.obj libIDL-$(LIBIDL_LIBVER).lib $(GLIB_LIB) $(LDFLAGS) /map
 
 clean:
-	del config.h
-	del *.exe
-	del *.obj
-	del *.dll
-	del *.lib
-	del *.err
-	del *.map
-	del *.sym
-	del *.exp
-	del *.lk1
-	del *.mk1
-	del *.pdb
-	del *.ilk
+	-del config.h
+	-del *.exe
+	-del *.obj
+	-del *.dll
+	-del *.lib
+	-del *.err
+	-del *.map
+	-del *.sym
+	-del *.exp
+	-del *.lk1
+	-del *.mk1
+	-del *.pdb
+	-del *.ilk
--- libIDL-0.6.8\Makefile.msc.in.bak	1999-03-04 19:33:02.000000000 +0100
+++ libIDL-0.6.8\Makefile.msc.in	2005-11-10 16:41:56.781250000 +0100
@@ -4,11 +4,14 @@
 
 # Change this to wherever you want to install the DLLs. This directory
 # should be in your PATH.
-BIN = C:\Bin
+PREFIX = c:\apps\vc8
+BIN = $(PREFIX)\bin
+LIBDIR = $(PREFIX)\lib
+INCDIR = $(PREFIX)\include
 
 # GLib location
-GLIB_INCLUDES = -I/Devel/Port/glib
-GLIB_LIBPATH = c:\Devel\Port\glib
+GLIB_INCLUDES = -I$(INCDIR)
+GLIB_LIBPATH = $(LIBDIR)
 GLIB_LIB = glib-1.2.lib
 
 # libIDL dll version
@@ -32,7 +35,10 @@
 all:   libIDL-$(LIBIDL_LIBVER).dll tstidl.exe
 
 install: all
-        $(INSTALL) libIDL-$(LIBIDL_LIBVER).dll $(BIN)
+	$(INSTALL) libIDL-$(LIBIDL_LIBVER).dll $(BIN)
+        $(INSTALL) libIDL-$(LIBIDL_LIBVER).lib $(LIBDIR)
+	-mkdir $(INCDIR)\libIDL
+        $(INSTALL) IDL.h $(INCDIR)\libIDL\
 
 libIDL_OBJECTS =				\
 	parser.obj				\
@@ -44,22 +50,24 @@
         $(CC) $(CFLAGS) -MD -LD -FelibIDL-$(LIBIDL_LIBVER).dll $(libIDL_OBJECTS) $(GLIB_LIB) user32.lib advapi32.lib $(LDFLAGS) /def:libIDL.def
 
 .c.obj:
-        $(CC) $(CFLAGS) -GD -c -DPACKAGE=\"libIDL\" -DLIBIDL_LIBRARY_VERSION=\"$(LIBIDL_REALVER)\" -DHAVE_CPP_PIPE_STDIN=1 -DCPP_PROGRAM="\"notsupported\"" -DYYTEXT_POINTER=1 -DSTDC_HEADERS=1 -DHAVE_STDDEF_H=1 -DHAVE_WCHAR_H=1 -DYYDEBUG=1 -DIDL_LIBRARY -DG_LOG_DOMAIN=\"libIDL\" $<
+	$(CC) $(CFLAGS) -GD -c -DPACKAGE=\"libIDL\" -DLIBIDL_LIBRARY_VERSION=\"$(LIBIDL_REALVER)\" -DCPP_PROGRAM="\"notsupported\"" -DCPP_NOSTDINC="\"notsupported\"" -DYYTEXT_POINTER=1 -DSTDC_HEADERS=1 -DHAVE_STDDEF_H=1 -DHAVE_WCHAR_H=1 -DYYDEBUG=1 -DIDL_LIBRARY -DG_LOG_DOMAIN=\"libIDL\" -DNO_SYMLINK  $<
+#	$(CC) $(CFLAGS) -GD -c -DPACKAGE=\"libIDL\" -DLIBIDL_LIBRARY_VERSION=\"$(LIBIDL_REALVER)\" -DHAVE_CPP_PIPE_STDIN=1 -DCPP_PROGRAM="\"notsupported\"" -DYYTEXT_POINTER=1 -DSTDC_HEADERS=1 -DHAVE_STDDEF_H=1 -DHAVE_WCHAR_H=1 -DYYDEBUG=1 -DIDL_LIBRARY -DG_LOG_DOMAIN=\"libIDL\" $<
+	
 
 tstidl.exe: libIDL-$(LIBIDL_LIBVER).dll tstidl.obj
         $(CC) $(CFLAGS) -MD -Fetstidl.exe tstidl.obj libIDL-$(LIBIDL_LIBVER).lib $(GLIB_LIB) $(LDFLAGS) /map
 
 clean:
-	del config.h
-	del *.exe
-	del *.obj
-	del *.dll
-	del *.lib
-	del *.err
-	del *.map
-	del *.sym
-	del *.exp
-	del *.lk1
-	del *.mk1
-	del *.pdb
-	del *.ilk
+	-del config.h
+	-del *.exe
+	-del *.obj
+	-del *.dll
+	-del *.lib
+	-del *.err
+	-del *.map
+	-del *.sym
+	-del *.exp
+	-del *.lk1
+	-del *.mk1
+	-del *.pdb
+	-del *.ilk
--- libIDL-0.6.8\util.c.bak	1999-10-17 16:29:10.000000000 +0200
+++ libIDL-0.6.8\util.c	2005-11-08 23:10:49.632750000 +0100
@@ -28,7 +28,9 @@
 #include <ctype.h>
 #include <string.h>
 #include <errno.h>
-#ifndef _WIN32
+#ifdef _WIN32
+#  include <direct.h>
+#else
 #  include <unistd.h>
 #endif
 #include "rename.h"
--- libIDL-0.6.8\libIDL.def.bak	1999-04-02 02:47:22.000000000 +0200
+++ libIDL-0.6.8\libIDL.def	2005-11-10 16:46:35.093750000 +0100
@@ -79,6 +79,7 @@
 	IDL_tree_walk_in_order
 	IDL_tree_free
 	IDL_tree_to_IDL
+	IDL_tree_to_IDL_string
 	IDL_do_escapes
 	IDL_resolve_const_exp
 	IDL_ns_new
